Subject: Re: Q re schedule and (premature?) implementation of drums-msg-fmt

From: "D. J. Bernstein" <[email-masked]>
Date: 2 Feb 2000 23:53:46 -0000

Sam Roberts writes:
  [ 822bis syntax ]
> Should I use it?

No. You should use the standard two-level parser explained (poorly) in
RFC 822, first breaking a field body into a series of tokens, then
parsing the series of tokens. This will work fine with all RFC 822
messages, all 822bis messages, and a lot of garbage that shows up in
practice. See

   http://cr.yp.to/immhf/token.html
   http://cr.yp.to/immhf/addrlist.html

for complete explanations and many examples.

You'll also find the address-list parsing code much simpler if you
handle tokens from right to left. See

   http://cr.yp.to/mess822.html

for a small, robust parsing library and some sample applications.

---Dan

---

From: Charles Lindsey <[email-masked]>
Date: Thu, 3 Feb 2000 09:28:25 +0000 (GMT)

On Wed, 2 Feb 2000 18:09:59 -0500
	"Sam Roberts" <[email-masked]> said...

> * Would it be helpful or just noise for me to implement the drums syntax, and
>   have I arrived too late for meaningful/useful comments/questions?

Well the USEFOR working group on the RFC 1036 update for Netnews
is steaming ahead on the expectation that DRUMS is what is has to
build on, so would be mightily upset if DRUMS suddenly disappeared
(notwithstanding minor quibbles about a couple of features).
> 
> * I'm considering whether to implement rfc2047 (mime header extensions).
>   Is it actually used? Can anybody point me towards MUAs that compose/parse
>   headers of that format that I could test against for interoperability?

RFD 2047 is a horrid can of worms, which will hopefully fade away when
email headers go to UTF-8. But that is some way off, though Netnews is
already committed to going that way, and hence deprecates RFC 2047 in
news. So for email I think you are lumbered with supporting it.

And yes, the fact that MIME is worded in terms of RFC 822 means you have
to use a little imagination, and has lead to some slighly uncomfortable
wording at one point in the USEFOR draft.

Charles H. Lindsey ---------At Home, doing my own thing------------------------
Email:     [email-masked]  Web:   http://www.cs.man.ac.uk/~chl
Voice/Fax: +44 161 437 4506      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9     Fingerprint: 73 6D C2 51 93 A0 01 E7  65 E8 64 7E 14 A4 AB A5